summaryrefslogtreecommitdiff
path: root/testprogs
diff options
context:
space:
mode:
authorUri Simchoni <uri@samba.org>2016-06-30 11:55:20 +0300
committerAndreas Schneider <asn@cryptomilk.org>2016-07-01 15:36:37 +0200
commit2352e49f320d4aa8cb0819d92d423586ccf2a40e (patch)
tree628fc37b400ceaa3f0582ea2176dff5586e3fb73 /testprogs
parentf13d07e459261ba0881ee725e94edd988c57479f (diff)
downloadsamba-2352e49f320d4aa8cb0819d92d423586ccf2a40e.tar.gz
selftest: Add test for domain join + kerberos-only auth
Add "net ads join/leave -k" tests to the net_ads test suite. Shift the test suite from ad_member env to ad_dc env, because: 1. Seems more appropriate (the member server plays no role in this test) 2. The -k test breaks against the ntvfs file server for some reason, when trying to open the netlogon named pipe after having established the session with Kerberos (the create fails). Signed-off-by: Uri Simchoni <uri@samba.org> Reviewed-by: Andreas Schneider <asn@samba.org> Autobuild-User(master): Andreas Schneider <asn@cryptomilk.org> Autobuild-Date(master): Fri Jul 1 15:36:37 CEST 2016 on sn-devel-144
Diffstat (limited to 'testprogs')
-rwxr-xr-xtestprogs/blackbox/test_net_ads.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/testprogs/blackbox/test_net_ads.sh b/testprogs/blackbox/test_net_ads.sh
index 21208145259..8e915cdcf1f 100755
--- a/testprogs/blackbox/test_net_ads.sh
+++ b/testprogs/blackbox/test_net_ads.sh
@@ -37,6 +37,14 @@ testit "leave" $VALGRIND $net_tool ads leave -U$DC_USERNAME%$DC_PASSWORD || fail
testit_expect_failure "testjoin(not joined)" $VALGRIND $net_tool ads testjoin -kP || failed=`expr $failed + 1`
+testit "join+kerberos" $VALGRIND $net_tool ads join -kU$DC_USERNAME%$DC_PASSWORD || failed=`expr $failed + 1`
+
+testit "testjoin" $VALGRIND $net_tool ads testjoin -kP || failed=`expr $failed + 1`
+
+testit "leave+kerberos" $VALGRIND $net_tool ads leave -kU$DC_USERNAME%$DC_PASSWORD || failed=`expr $failed + 1`
+
+testit_expect_failure "testjoin(not joined)" $VALGRIND $net_tool ads testjoin -kP || failed=`expr $failed + 1`
+
testit "join+server" $VALGRIND $net_tool ads join -U$DC_USERNAME%$DC_PASSWORD -S$DC_SERVER || failed=`expr $failed + 1`
testit "leave+server" $VALGRIND $net_tool ads leave -U$DC_USERNAME%$DC_PASSWORD -S$DC_SERVER || failed=`expr $failed + 1`